You can use the API to deflect phone calls to the Intercom Messenger. Calling this endpoint will send an SMS with a link to the Messenger to the phone number specified.
If custom attributes are specified, they will be added to the user or lead's custom data attributes.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Phone number in E.164 format, that will receive the SMS to continue the conversation in the Messenger.
Custom attributes to add to the user or lead's custom data attributes. Values are strings. Numbers and booleans are converted to strings. An empty string, or any array or object value, returns a 422 error with the key context. A null value is ignored.
{ "issue_type": "Billing", "priority": "High" }
The text of the contact's first message. When you send it, a conversation is created straight away with this text as its first message.
Whether to send the SMS with the link to the Messenger. When false, no SMS is sent.
The phone number as the contact typed it, in national format. When sent with country, used in place of phone to read the number. phone is still required.
- The production API serverhttps://api.intercom.io/phone_call_redirects
- The european API serverhttps://api.eu.intercom.io/phone_call_redirects
- The australian API serverhttps://api.au.intercom.io/phone_call_redirects
- successful
- bad request - exception sending sms
- bad request - invalid number
- unprocessable entity
- Missing phone number
- Invalid custom attributes
curl -i -X POST \
https://api.intercom.io/phone_call_redirects \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"phone": "+353832345678",
"custom_attributes": {
"issue_type": "Billing",
"priority": "High"
}
}'successful
{ "url": "http://via.intercom.io/msgr/1add3dd1-a75e-4a96-96fd-984d16aba059", "type": "phone_call_redirect" }